package com.zcloud.mapper.datasource.hiddenDangerCheckStandard;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：隐患
 * 作者：luoxiaobao
 * 时间：2021-01-04
 * 官网：www.zcloudchina.com
 */
public interface CustomHiddenMapper {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**修改信息
	 * @param pd
	 * @throws Exception
	 */
	void editInfo(PageData pd);
	void editISCONFIRM(PageData pd);
	void editHIDDENLEVEL(PageData pd);

	/**定时修改过期隐患
	 * @param pd
	 * @throws Exception
	 */
	void editDeadline(PageData pd);

	/**整改
	 * @param pd
	 * @throws Exception
	 */
	void rectify(PageData pd);

	/**复查
	 * @param pd
	 * @throws Exception
	 */
	void review(PageData pd);

	/**验收
	 * @param pd
	 * @throws Exception
	 */
	void check(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**查询昨日过期隐患。发短信
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getYestoday(PageData pd);

	/**列表(全部，用于打印)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAllToPrint(PageData pd);
	List<PageData> listHiddenAll(PageData pd);

	/**
	 * 查询清单检查记录中的隐患
	 * @param pd
	 * @return
	 */
	List<PageData> getHiddenByRecord(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**根据用户ID获取待验收隐患
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getCountByCheckorId(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);

	/**批量修改
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void updateAll(PageData hiddens);

	List<PageData> hiddenStatisticsByDay(PageData pd);

	List<PageData> hiddenStatisticsAll(PageData pd);


	List<PageData> getCountByCreatorId(PageData pd);
	List<PageData> getCountByRectifiCationorId(PageData pd);

	void changeState(PageData pd);

	List<PageData> getBICount(PageData pd);

	void submit(PageData pd);

	/**
	 * 提交清单(其他)隐患
	 * @param pd
	 */
	void submitList(PageData pd);

	/**清单其他隐患
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getOtherHidden(PageData pd);
	List<PageData> getCountByHiddenType(PageData pd);


	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getHiddenNum(PageData pd);

	/**列表(全部
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAllRoll(PageData pd);

	/**绩效得分
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getDeptExamine(PageData pd);

    List<PageData> getUserExamine(PageData pd);

    List<PageData> listAllForDiagnosis(PageData pd);

    List<PageData> listForDocking(PageData pd);
	void updateDocking(PageData pageData);

    PageData getUserIndexData(PageData pd);

	PageData getDeptIndexData(PageData pd);

	PageData getSuperviseDeptIndexData(PageData pd);

    List<PageData> findByMainId(PageData x);

    List<PageData> anaysis(PageData util);

	List<PageData> findByKey(PageData condition);

	List<PageData> findByQue(PageData condition);

	List<PageData> findByYin(PageData condition);

	List<PageData> findByTs(PageData condition);

	List<PageData> findByInspectionId(PageData pd);

	/**
	 * 获取安全环保检查下的隐患列表
	 * @param pd
	 * @return
	 * @throws Exception
	 */
	List<PageData> listAllInspection(PageData pd);

	/**
	 * 安全环保检查流程归档更新隐患状态为暂存
	 * @param pd
	 */
	void editStateInspection(PageData pd);

	void deleteByKey(PageData pd);

	void deleteArray(PageData pd);

	List<PageData> getCountByConfirmId(PageData pd);

	List<PageData> getCountSpecialByhId(PageData pd);

	void editInformation(PageData pd);

	void editstate(PageData hiddenExa);

	/**
	 * 获取其他没有验收的隐患
	 * @param pd
	 * @return
	 */
	List<PageData> listOtherNotAccept(PageData pd);

	/**
	 * 隐患列表 -- 港务局
	 * @param page
	 * @return
	 * @throws Exception
	 */
	List<PageData> listGwjdatalistPage (Page page);

	/**
	 * 忽略隐患列表 -- 港务局
	 * @param page
	 * @return
	 * @throws Exception
	 */
	List<PageData> listIgnoredatalistPage (Page page);

	void saveForEmis(PageData pd);

	void deleteForEmis(PageData pd);

	/**
	 * 确认隐患，修改隐患状态
	 * @param pd
	 * @throws Exception
	 */
	void confirmHidden(PageData pd);

	List<PageData> hiddenInspectionlistPage(Page page);

	/**
	 * 获取其他没有指派完成的隐患
	 * @param pd
	 * @return
	 * @throws Exception
	 */
	List<PageData> listOtherNotAssign(PageData pd);

	/**
	 * 安全环保检查隐患指派
	 * @param pd
	 * @throws Exception
	 */
	void assign(PageData pd);

	/**安全环保检查验收
	 * @param pd
	 * @throws Exception
	 */
	public void finalcheck(PageData pd);

	List<PageData> listOtherNotAccept4pc(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> getListForTianzhangdatalistPage(Page page);

	/**
	 * 修改隐患信息，隐患级别 ，整改负责人 ， 整改期限
	 * @param pd
	 * @throws Exception
	 */
	void confirmUpdate(PageData pd);

	/**
	 *
	 */
	void updateStateByHidden (PageData pd);

	List<PageData> majordatalistPage(Page page);

	List<PageData> verifydatalistPage(Page page);

	List<PageData> majormanagelistPage(Page page);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findByEmisId(PageData pd);

	List<PageData> getListForemisdatalistPage(Page page);
}

